获取云游戏列表
更新时间不可用
获取指定游戏的游戏商、支持的礼物列表和弹幕指令等信息。
GET
https://{domain}/v2/projects/{appid}/cloud-bullet-game/api/live-data/games注意
- 调用频率限制:单个 APP ID 调用上限为 10 次/秒。
page_numinteger必填
列表展示的起始页码 ,默认为从第一页开始展示。
page_sizeinteger必填
每页展示的数据条数。
Content-Typestring必填
数据类型,必须包含 application/json。
Authorizationstring必填
发送 HTTP 请求时,你需要将用于游戏推流使用的 RTC Token 填入 HTTP 请求头部的 Authorization 字段。Token 生成方式请参考使用 Token 鉴权。
响应
OK
响应 Body
当前支持的游戏列表。
game_idstring游戏 ID。
namestring游戏名称。
vendorstring游戏商。
thumbnailstring游戏缩略图路径。
introducestring游戏介绍。
page_numinteger当前页码。
page_sizeinteger每页展示的数据条数。
请求示例
curl --request GET \
--url "https://:domain/v2/projects/:appid/cloud-bullet-game/api/live-data/games?page_num=1&page_size=10" \
--header 'Content-Type: <string>' \
--header 'Authorization: <string>'响应示例
{
"list": [
{
"game_id": "pkzb",
"name": "pwnk争霸",
"vendor": "pwnk",
"thumbnail": "/pwnk.png",
"introduce": "pwnk争霸,是兄弟,就来砍一刀"
}
],
"page_num": 1,
"page_size": 10
}